Subject: [alpine-aports] [PATCH] testing/letsencrypt-nosudo: new aport

From: Stuart Cardall <[email-masked]>
Date: Tue, 19 Jan 2016 21:40:48 +0000

---
 testing/letsencrypt-nosudo/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/letsencrypt-nosudo/APKBUILD

diff --git a/testing/letsencrypt-nosudo/APKBUILD b/testing/letsencrypt-nosudo/APKBUILD
new file mode 100644
index 0000000..a602cf0
--- /dev/null
+++ b/testing/letsencrypt-nosudo/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=letsencrypt-nosudo
+pkgver=0.0.1
+pkgrel=0
+pkgdesc="Free HTTPS certificates without having to trust the letsencrypt cli with sudo/root"
+url="https://github.com/diafygi/letsencrypt-nosudo"
+arch="noarch"
+license="GPL3"
+depends="python"
+depends_dev=""
+makedepends="$depends_dev"
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/itoffshore/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	return 0
+}
+
+package() {
+	cd "$_builddir"
+	mkdir -p "$pkgdir"/usr/bin
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+	install -Dm755 *.py "$pkgdir"/usr/bin/ || return 1
+	install -Dm644 README.md "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+}
+
+md5sums="c95fde63fe3d357ebf54ace79b412d2c  letsencrypt-nosudo-0.0.1.tar.gz"
+sha256sums="19f8a5b316c06afd258b101eaad7e28dd2ddf1b1809d5559c683f7412247c690  letsencrypt-nosudo-0.0.1.tar.gz"
+sha512sums="1d496a2dc74892f2f359562961547aad71c940fc372e2895d618cdf2a7b44b116ae039608e3589de74658ec9140ffbe1fcb51728805d215a4a6aa0c053c21672  letsencrypt-nosudo-0.0.1.tar.gz"
-- 
2.7.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---